{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load widget_tweaks %}
{% load staticfiles %}

{% block title %}Widget del cliente {{ customer.name }}{% endblock %}

{% block page %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
    <li class="breadcrumb-item active">Widget de cliente</li>
  </ol>
  <!-- end breadcrumb -->

  <!-- begin page-header -->
  <h1 class="page-header">{{ customer.name }}</h1>
  <!-- end page-header -->

  <ul class="nav nav-pills mb-2">
    <li class="nav-item {% add_active request 'customer-detail' %}">
        <a href="{% url 'customer-detail' customer.pk %}"class="nav-link">
            <span class="d-sm-none">General</span>
            <span class="d-sm-block d-none">General</span>
        </a>
    </li>
    <li class="nav-item {% add_active request 'service-list' %}">
        <a href="{% url 'service-list' customer.pk %}" class="nav-link">
            <span class="d-sm-none">Servicios</span>
            <span class="d-sm-block d-none">Servicios</span>
        </a>
    </li>
    {% if service_preselect %}
    <li class="nav-item {% add_active request 'service-detail' %}">
        <a href="{% url 'service-detail' service_preselect.pk %}" class="nav-link">
            <span class="d-sm-none" title="Unico servicio del cliente">#{{service_preselect.number}}</span>
            <span class="d-sm-block d-none" title="Unico servicio del cliente">#{{service_preselect.number}}</span>
        </a>
    </li>
    {% endif %}
    <li class="nav-item {% add_active request 'customer-payment-methods' %}">
        <a href="{% url 'customer-payment-methods' customer.pk %}" class="nav-link">
            <span class="d-sm-none">Métodos de Pago</span>
            <span class="d-sm-block d-none">Métodos de Pago</span>
        </a>
    </li>
    <li class="nav-item {% add_active request 'invoice-list' %}">
        <a href="{% url 'invoice-list' customer.pk %}" class="nav-link">
            <span class="d-sm-none">Estado de Cuenta</span>
            <span class="d-sm-block d-none">Estado de Cuenta</span>
        </a>
    </li>
    <li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'customer-configuration' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Configuración</span>
				<span class="d-sm-block d-none">Configuración</span>
			</a>
		</li>
    <li class="nav-item {% add_active request 'invoice-list' %}">
      <a href="#" class="nav-link active">
          <span class="d-sm-none">Widget</span>
          <span class="d-sm-block d-none">Widget</span>
      </a>
  </li>
</ul>

<!-- begin row -->
<div class="row">

    <div class="col-xl-6 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">URL encuesta Satisfacción</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
            URL encuesta Satisfacción <br><div id="json-display"></div>
        </div>
        <!-- end panel-body -->
      </div>
    </div>


    <div class="col-xl-6 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">URL Actualización</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
            URL Actualización <br><div id="json-display-2"></div>
        </div>
        <!-- end panel-body -->
      </div>
    </div>

  </div>
{% endblock %}
{% block pageleveljs %}

<script type="text/javascript" src="{% static 'theme/build/js/pages/jquery.json-editor.min.js' %}"></script>
<script>
    function ver_url() {
        $("#json-display").text("https://bandaancha.cl/dist/?user=" + btoa({{customer.pk}}))
        $("#json-display-2").text("https://bandaancha.cl/actualizacion-de-datos/?user=" + btoa({{customer.pk}}))
    }
    ver_url()
</script>
{% endblock %}